[arch-commits] Commit in d4x/repos (3 files)

Eric Belanger eric at archlinux.org
Wed Jul 23 21:19:11 EDT 2008


    Date: Wednesday, July 23, 2008 @ 21:19:11
  Author: eric
Revision: 6271

fixing svn conflict

Added:
  d4x/repos/extra-x86_64/d4x-gtkurl.patch
    (from rev 6268, d4x/trunk/d4x-gtkurl.patch)
Modified:
  d4x/repos/extra-x86_64/	(properties)
  d4x/repos/extra-x86_64/PKGBUILD

------------------+
 PKGBUILD         |   23 ++++++++++++++---------
 d4x-gtkurl.patch |   49 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+), 9 deletions(-)


Property changes on: d4x/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /d4x/trunk:1
   + /d4x/trunk:1-6268

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-24 01:18:35 UTC (rev 6270)
+++ extra-x86_64/PKGBUILD	2008-07-24 01:19:11 UTC (rev 6271)
@@ -1,22 +1,27 @@
 # $Id$
-# Maintainer: dorphell <dorphell at archlinux.org>
+# Maintainer: Hugo Doria <hugo at archlinux.org>
+
 pkgname=d4x
 pkgver=2.5.7.1
-pkgrel=1
+pkgrel=2
 pkgdesc="A GUI XFree86 program for downloading files"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 depends=('esd' 'gtk2' 'openssl<=0.9.8' 'alsa-lib' 'libstdc++5' 'audiofile') 
-source=(http://d4x.krasu.ru/files/$pkgname-$pkgver.tar.bz2)
+options=('!makeflags')
+source=(http://d4x.krasu.ru/files/${pkgname}-${pkgver}.tar.bz2 d4x-gtkurl.patch)
+md5sums=('68d6336c3749a7caabb0f5a5f84f4102' '3639f6d3fb7253a50a085c0b1037268b')
 url="http://www.krasu.ru/soft/chuchelo/"
+license=('PerlArtistic')
 makedepends=('boost')
 conflicts=('downloaderx')
 replaces=('downloaderx')
-md5sums=('68d6336c3749a7caabb0f5a5f84f4102')
 
 build() {
-    export MAKEFLAGS="-j1"
-    cd $startdir/src/$pkgname-${pkgver}
-    ./configure --prefix=/usr
+    cd ${srcdir}/${pkgname}-${pkgver}
+    
+    patch -Np1 < ${srcdir}/d4x-gtkurl.patch || return 1
+    
+    ./configure --prefix=/usr --mandir=/usr/share/man
     make || return 1
-    make prefix=$startdir/pkg/usr install
+    make prefix=${pkgdir}/usr mandir=${pkgdir}/usr/share/man install
 }

Copied: d4x/repos/extra-x86_64/d4x-gtkurl.patch (from rev 6268, d4x/trunk/d4x-gtkurl.patch)
===================================================================
--- extra-x86_64/d4x-gtkurl.patch	                        (rev 0)
+++ extra-x86_64/d4x-gtkurl.patch	2008-07-24 01:19:11 UTC (rev 6271)
@@ -0,0 +1,49 @@
+diff -aur d4x-2.5.7.1/configure d4x-2.5.7.1/configure
+--- d4x-2.5.7.1/configure	2006-04-12 18:48:29.000000000 +0200
++++ d4x-2.5.7.1/configure	2008-06-03 23:44:14.000000000 +0200
+@@ -18396,12 +18396,6 @@
+ #define _REENTRANT
+ _ACEOF
+ 
+-
+-cat >>confdefs.h <<\_ACEOF
+-#define GTK_DISABLE_DEPRECATED
+-_ACEOF
+-
+-
+ cat >>confdefs.h <<\_ACEOF
+ #define _FILE_OFFSET_BITS 64
+ _ACEOF
+diff -aur d4x-2.5.7.1/configure.ac d4x-2.5.7.1/configure.ac
+--- d4x-2.5.7.1/configure.ac	2005-11-05 00:35:38.000000000 +0100
++++ d4x-2.5.7.1/configure.ac	2008-06-03 23:43:01.000000000 +0200
+@@ -298,7 +298,6 @@
+ 
+ # Other needed defines
+ AC_DEFINE(_REENTRANT, , [Enable reenrant code of glibc])
+-AC_DEFINE(GTK_DISABLE_DEPRECATED, , [Enable warnings about deprecated functions usage])
+ AC_DEFINE(_FILE_OFFSET_BITS, 64, [To support files over 2GB])
+ 
+ # Prepare all requiered flags
+diff -aur d4x-2.5.7.1/main/addr.cc d4x-2.5.7.1/main/addr.cc
+--- d4x-2.5.7.1/main/addr.cc	2006-04-05 20:19:36.000000000 +0200
++++ d4x-2.5.7.1/main/addr.cc	2008-06-03 23:42:00.000000000 +0200
+@@ -181,7 +181,6 @@
+ 			file=path.substr(p+1);
+ 			path=path.substr(0,p);
+ 		};
+-		path=d4x::Path("/")/path;
+ 		
+ 		if (!port)
+ 			port=get_port_by_proto(proto);
+diff -aur d4x-2.5.7.1/main/face/list.cc d4x-2.5.7.1/main/face/list.cc
+--- d4x-2.5.7.1/main/face/list.cc	2006-03-20 01:29:41.000000000 +0100
++++ d4x-2.5.7.1/main/face/list.cc	2008-06-03 23:42:18.000000000 +0200
+@@ -8,7 +8,6 @@
+  *	but WITHOUT ANY WARRANTY; without even the implied warranty of
+  *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+  */
+-#define GTK_DISABLE_DEPRECATED
+ 
+ #include <stdio.h>
+ #include <gtk/gtk.h>





More information about the arch-commits mailing list